# Get buyer KYB status

Returns the KYB status for the buyer that the logged-in user belongs to.


Required user role: ADMIN

Endpoint: GET /v1/buyers/kyb
Version: v1
Security: apiKey, authToken

## Response 200 fields (application/json):

  - `kybStatus` (string)
    The effective due diligence status of the buyer that the logged-in user belongs to.
    Enum: "NOT_STARTED", "INITIATED", "PENDING_REVIEW", "APPROVED", "REJECTED"

  - `ongoingKybStatus` (string)
    The ongoing due diligence status of the buyer that the logged-in user belongs to.
    Enum: "NOT_STARTED", "INITIATED", "PENDING_REVIEW", "APPROVED", "REJECTED"

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
